<template>
  <JMenu auto-width>
    <template #activator="menuSlotProps">
      <slot v-bind="{ ...menuSlotProps }" />
    </template>

    <JList class="text-body-3">
      <JListItem
        size="m"
        @keydown.space="showCretingGroupChat"
        @keydown.enter="showCretingGroupChat"
        @click="showCretingGroupChat"
      >
        <JIcon
          container-size
          icon="groupUsers"
          class="mr-2 chat-menu-icon"
        />
        <span class="chat-menu-label">{{ $t('new_group_users') }}</span>
      </JListItem>
      <JListItem
        size="m"
        @keydown.space="showCreatingPrivateChat"
        @keydown.enter="showCreatingPrivateChat"
        @click="showCreatingPrivateChat"
      >
        <JIcon
          icon="user"
          class="mr-2 chat-menu-icon"
        />
        <span class="chat-menu-label">{{ $t('new_private_group') }}</span>
      </JListItem>
    </JList>
  </JMenu>
</template>

<script setup lang="ts">
import {
  JMenu, JList, JListItem, JIcon,
} from '@new-jira-clone/ui/src/components';
import useCreatingChatState from '../model/useCreatingChatState';

const { showCretingGroupChat, showCreatingPrivateChat } = useCreatingChatState();
</script>
